SetSignProcessCustomSubFilter

Bezbednost i potpisi

Opis

Postavlja SubFilter unos sa prilagođenim stringom za proces digitalnog potpisa, navodeći enkodovanje vrednosti potpisa

Slično SetSignProcessSubFilter, ali Subfilter unos je prilagodljiv

Kad data usluga počinje sa ETSI. (tipično ETSI.CAdES.detached za PAdES baseline potpise ili ETSI.RFC3161 za vremenske žigove dokumenta), biblioteka automatski dodaje PAdES /Extensions /ESIC <</BaseVersion /1.7 /ExtensionLevel 2>> unos u katalog dokumenta, kako zahteva ETSI EN 319 142-1 v1.2.1 §5.6. Za PDF-ove napravljene kroz TPDFlib paralelno se dodaje ekvivalentna Adobe deklaracija (/Extensions /ADBE na /ExtensionLevel 8). Ubačivanje je idempotentno i nikada ne unazađuje postojeći viši nivo proširenja

Izbor ETSI.CAdES.detached dodatno aktivira PAdES-B-B putanju potpisivanja: CMS sadržaj nosi autentifikovane atribute content-type (id-data) i signing-certificate-v2 (RFC 5035 / RFC 5816), a signing-time atribut koji Table 1 iz EN 319 142-1 zabranjuje se izostavlja, jer biblioteka CryptSignMessage-u predaje svoj niz atributa. Potpisni sertifikat identifikuje se njegovim SHA-256 digestom (ili SHA-384 / SHA-512 kad SetSignProcessDigestAlgorithm izabere veći hash), a trenutne verzije uključuju i opcionu torku IssuerSerial (distinguished name izdavaoca plus serijski broj), da strožiji PAdES validatori mogu unakrsno proveriti potpisni sertifikat u odnosu na svoj kandidatski lanac

Sintaksa

Delphi

Function TPDFlib.SetSignProcessCustomSubFilter(SignProcessID: Integer; SubFilterStr: WideString): Integer;

ActiveX

Function PDFlib::SetSignProcessCustomSubFilter(SignProcessID As Long, SubFilterStr As String) As Long

DLL

int DLSetSignProcessCustomSubFilter(int InstanceID, int SignProcessID, const wchar_t * SubFilterStr);

Parametri

SignProcessIDVrednost koju vraćaju funkcije NewSignProcessFromFile, NewSignProcessFromStream ili NewSignProcessFromString
SubFilterStrPrilagođeni SubFilter string unos

Povratne vrednosti

0Parametar SignProcessID nije bio ispravan ili je parametar SubFilter bio van opsega
1Success